/*===========================================================================*/
/*   (Module/checksum.scm)                                                   */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/checksum.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT long get_hash_power_number(char *, long);
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT long BGl_filezd2modificationzd2timez00zz__r4_ports_6_10_1z00(char *);
BGL_IMPORT obj_t real_to_string(double);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static long BGl_listzd2ze3numberz31zzmodule_checksumz00(long, obj_t);
static long BGl_symbolzd2ze3numberz31zzmodule_checksumz00(obj_t);
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
BGL_IMPORT obj_t string_to_bstring(char *);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static long BGl_externzd2clausezd2checksumz00zzmodule_checksumz00(long, obj_t);
static obj_t BGl_zc3exitza31031ze3z83zzmodule_checksumz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31043ze3z83zzmodule_checksumz00(obj_t, obj_t);
extern obj_t BGl_za2mcozd2includezd2pathza2z00zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzmodule_checksumz00();
BGL_IMPORT obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t);
BGL_IMPORT bool_t fexists(char *);
BGL_IMPORT obj_t close_input_port(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, int, int);
static long BGl_clausezd2checksumzd2zzmodule_checksumz00(long, obj_t);
static obj_t BGl__modulezd2checksumzd2zzmodule_checksumz00(obj_t, obj_t);
static long BGl_includezd2checksumzd2zzmodule_checksumz00(obj_t, long);
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_checksumz00();
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_checksumz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
static long BGl_atomzd2ze3numberz31zzmodule_checksumz00(long, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_checksumz00();
BGL_EXPORTED_DECL long BGl_modulezd2checksumzd2zzmodule_checksumz00(obj_t);
static obj_t __cnst[ 9 ] ;


DEFINE_STATIC_PROCEDURE( BGl_proc1391z00zzmodule_checksumz00, BgL_bgl_za7c3anonymousza7a31043za7e3za783za7za7module_checksumza7001423za7, BGl_zc3anonymousza31043ze3z83zzmodule_checksumz00, 0L, 1 );
DEFINE_STRING( BGl_string1394z00zzmodule_checksumz00, BgL_bgl_string1394za700za7za7module_checksumza7001424z00, "info assert default include java extern foreign export directives ", 66 );
DEFINE_STRING( BGl_string1393z00zzmodule_checksumz00, BgL_bgl_string1393za700za7za7module_checksumza7001425z00, "module checksum:Unknown clause", 30 );
DEFINE_STRING( BGl_string1392z00zzmodule_checksumz00, BgL_bgl_string1392za700za7za7module_checksumza7001426z00, " -- ", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_modulezd2checksumzd2envz00zzmodule_checksumz00, BgL_bgl__moduleza7d2checksumza7d2za7za7module_checksumza7001427za7, BGl__modulezd2checksumzd2zzmodule_checksumz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_checksumz00(long BgL_checksumz00_327, char * BgL_fromz00_328)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_checksumz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_checksumz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_checksumz00(); 
BGl_cnstzd2initzd2zzmodule_checksumz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_checksumz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_checksumz00()
{ AN_OBJECT;
{ /* ./Module/checksum.scm 18 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "module_checksum"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "module_checksum"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_checksum"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "module_checksum"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "module_checksum"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_checksumz00()
{ AN_OBJECT;
{ /* ./Module/checksum.scm 18 */
{ /* ./Module/checksum.scm 18 */
obj_t BgL_cportz00_320;
BgL_cportz00_320 = 
open_input_string(BGl_string1394z00zzmodule_checksumz00); 
{ 
long BgL_iz00_321;
BgL_iz00_321 = ((long)8); 
BgL_loopz00_322:
{ /* ./Module/checksum.scm 18 */
bool_t BgL_test1398z00_323;
BgL_test1398z00_323 = 
(BgL_iz00_321==((long)-1)); 
if(BgL_test1398z00_323)
{ /* ./Module/checksum.scm 18 */
return BUNSPEC;}  else 
{ /* ./Module/checksum.scm 18 */
{ /* ./Module/checksum.scm 18 */
obj_t BgL_arg1400z00_324;
{ /* ./Module/checksum.scm 18 */
obj_t BgL_list1403z00_325;
BgL_list1403z00_325 = 
MAKE_PAIR(BgL_cportz00_320, BNIL); 
BgL_arg1400z00_324 = 
BGl_readz00zz__readerz00(BgL_list1403z00_325); } 
{ /* ./Module/checksum.scm 18 */
int BgL_auxz00_345;
BgL_auxz00_345 = 
(int)(BgL_iz00_321); 
CNST_TABLE_SET(BgL_auxz00_345, BgL_arg1400z00_324); } } 
{ /* ./Module/checksum.scm 18 */
int BgL_auxz00_326;
{ /* ./Module/checksum.scm 18 */
long BgL_auxz00_348;
BgL_auxz00_348 = 
(BgL_iz00_321-((long)1)); 
BgL_auxz00_326 = 
(int)(BgL_auxz00_348); } 
{ 
long BgL_iz00_351;
BgL_iz00_351 = 
(long)(BgL_auxz00_326); 
BgL_iz00_321 = BgL_iz00_351; 
goto BgL_loopz00_322;} } } } } } } 
}



/* module-checksum */
BGL_EXPORTED_DEF long BGl_modulezd2checksumzd2zzmodule_checksumz00(obj_t BgL_modulez00_1)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 25 */
{ /* ./Module/checksum.scm 26 */
long BgL_arg1007z00_14;obj_t BgL_arg1008z00_15;
{ /* ./Module/checksum.scm 26 */
obj_t BgL_arg1011z00_16;
{ /* ./Module/checksum.scm 26 */
obj_t BgL_auxz00_353;
BgL_auxz00_353 = 
CDR(BgL_modulez00_1); 
BgL_arg1011z00_16 = 
CAR(BgL_auxz00_353); } 
BgL_arg1007z00_14 = 
BGl_symbolzd2ze3numberz31zzmodule_checksumz00(BgL_arg1011z00_16); } 
{ /* ./Module/checksum.scm 26 */
obj_t BgL_auxz00_357;
BgL_auxz00_357 = 
CDR(BgL_modulez00_1); 
BgL_arg1008z00_15 = 
CDR(BgL_auxz00_357); } 
return 
BGl_clausezd2checksumzd2zzmodule_checksumz00(BgL_arg1007z00_14, BgL_arg1008z00_15);} } 
}



/* _module-checksum */
obj_t BGl__modulezd2checksumzd2zzmodule_checksumz00(obj_t BgL_envz00_312, obj_t BgL_modulez00_313)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 25 */
{ /* ./Module/checksum.scm 26 */
long BgL_auxz00_361;
BgL_auxz00_361 = 
BGl_modulezd2checksumzd2zzmodule_checksumz00(BgL_modulez00_313); 
return 
BINT(BgL_auxz00_361);} } 
}



/* include-checksum */
long BGl_includezd2checksumzd2zzmodule_checksumz00(obj_t BgL_includez00_2, long BgL_checksumz00_3)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 31 */
{ /* ./Module/checksum.scm 33 */
obj_t BgL_directiveszf3zf3_17;
BgL_directiveszf3zf3_17 = 
MAKE_CELL(BUNSPEC); 
CELL_SET(BgL_directiveszf3zf3_17, BGl_proc1391z00zzmodule_checksumz00); 
{ /* ./Module/checksum.scm 38 */
bool_t BgL_test1015z00_18;
{ /* ./Module/checksum.scm 38 */
char * BgL_namez00_198;
BgL_namez00_198 = 
BSTRING_TO_STRING(BgL_includez00_2); 
BgL_test1015z00_18 = 
fexists(BgL_namez00_198); } 
if(BgL_test1015z00_18)
{ /* ./Module/checksum.scm 39 */
obj_t BgL_portz00_19;
BgL_portz00_19 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_includez00_2, BNIL); 
{ /* ./Module/checksum.scm 39 */
obj_t BgL_dirz00_20;
{ /* ./Module/checksum.scm 40 */
obj_t BgL_val1003z00_23;
BgL_val1003z00_23 = 
BGl_zc3exitza31031ze3z83zzmodule_checksumz00(BgL_directiveszf3zf3_17, BgL_portz00_19); 
close_input_port(BgL_portz00_19); 
{ /* ./Module/checksum.scm 44 */
bool_t BgL_test1023z00_24;
{ /* ./Module/checksum.scm 44 */
obj_t BgL_auxz00_370;
BgL_auxz00_370 = 
BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(BgL_val1003z00_23); 
BgL_test1023z00_24 = 
CBOOL(BgL_auxz00_370); } 
if(BgL_test1023z00_24)
{ /* ./Module/checksum.scm 44 */
obj_t BgL_arg1025z00_25;obj_t BgL_arg1026z00_26;
BgL_arg1025z00_25 = 
CAR(BgL_val1003z00_23); 
BgL_arg1026z00_26 = 
CDR(BgL_val1003z00_23); 
BgL_dirz00_20 = 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_arg1025z00_25, BgL_arg1026z00_26); }  else 
{ /* ./Module/checksum.scm 44 */
BgL_dirz00_20 = BgL_val1003z00_23; } } } 
{ /* ./Module/checksum.scm 40 */

if(
CBOOL(BgL_dirz00_20))
{ /* ./Module/checksum.scm 46 */
long BgL_arg1017z00_21;obj_t BgL_arg1018z00_22;
BgL_arg1017z00_21 = 
BGl_atomzd2ze3numberz31zzmodule_checksumz00(BgL_checksumz00_3, BgL_includez00_2); 
BgL_arg1018z00_22 = 
CDR(BgL_dirz00_20); 
return 
BGl_clausezd2checksumzd2zzmodule_checksumz00(BgL_arg1017z00_21, BgL_arg1018z00_22);}  else 
{ /* ./Module/checksum.scm 45 */
return BgL_checksumz00_3;} } } }  else 
{ /* ./Module/checksum.scm 38 */
return BgL_checksumz00_3;} } } } 
}



/* <exit:1031> */
obj_t BGl_zc3exitza31031ze3z83zzmodule_checksumz00(obj_t BgL_directiveszf3zf3_318, obj_t BgL_portz00_317)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 44 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1004z00_28;
if( SET_EXIT(BgL_an_exit1004z00_28) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1004z00_28 = 
(obj_t)jmpbuf; 
{ /* ./Module/checksum.scm 44 */

PUSH_EXIT(BgL_an_exit1004z00_28, ((bool_t)0)); 
{ /* ./Module/checksum.scm 40 */
obj_t BgL_val1005z00_29;
{ /* ./Module/checksum.scm 40 */
obj_t BgL_expz00_30;
{ /* ./Module/checksum.scm 40 */
obj_t BgL_list1038z00_32;
BgL_list1038z00_32 = 
MAKE_PAIR(BgL_portz00_317, BNIL); 
BgL_expz00_30 = 
BGl_readz00zz__readerz00(BgL_list1038z00_32); } 
{ /* ./Module/checksum.scm 41 */
bool_t BgL_test1035z00_31;
{ /* ./Module/checksum.scm 41 */
obj_t BgL_auxz00_387;
{ /* ./Module/checksum.scm 41 */
obj_t BgL_auxz00_389;
BgL_auxz00_389 = 
CELL_REF(BgL_directiveszf3zf3_318); 
BgL_auxz00_387 = 
PROCEDURE_ENTRY(BgL_auxz00_389)(
CELL_REF(BgL_directiveszf3zf3_318), BgL_expz00_30, BEOA); } 
BgL_test1035z00_31 = 
CBOOL(BgL_auxz00_387); } 
if(BgL_test1035z00_31)
{ /* ./Module/checksum.scm 41 */
BgL_val1005z00_29 = BgL_expz00_30; }  else 
{ /* ./Module/checksum.scm 41 */
BgL_val1005z00_29 = BFALSE; } } } 
POP_EXIT(); 
return BgL_val1005z00_29;} } 
} } 
}



/* <anonymous:1043> */
obj_t BGl_zc3anonymousza31043ze3z83zzmodule_checksumz00(obj_t BgL_envz00_315, obj_t BgL_ezd2103zd2_316)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 33 */
{ 
obj_t BgL_ezd2103zd2_36;
{ /* ./Module/checksum.scm 33 */
bool_t BgL_auxz00_393;
BgL_ezd2103zd2_36 = BgL_ezd2103zd2_316; 
if(
PAIRP(BgL_ezd2103zd2_36))
{ /* ./Module/checksum.scm 33 */
bool_t BgL_testz00_396;
{ /* ./Module/checksum.scm 33 */
obj_t BgL_auxz00_399;obj_t BgL_auxz00_397;
BgL_auxz00_399 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_397 = 
CAR(BgL_ezd2103zd2_36); 
BgL_testz00_396 = 
(BgL_auxz00_397==BgL_auxz00_399); } 
if(BgL_testz00_396)
{ /* ./Module/checksum.scm 33 */
BgL_auxz00_393 = ((bool_t)1)
; }  else 
{ /* ./Module/checksum.scm 33 */
BgL_auxz00_393 = ((bool_t)0)
; } }  else 
{ /* ./Module/checksum.scm 33 */
BgL_auxz00_393 = ((bool_t)0)
; } 
return 
BBOOL(BgL_auxz00_393);} } } 
}



/* clause-checksum */
long BGl_clausezd2checksumzd2zzmodule_checksumz00(long BgL_checksumz00_4, obj_t BgL_clausesz00_5)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 53 */
{ 
obj_t BgL_clausesz00_42;long BgL_checksumz00_43;
BgL_clausesz00_42 = BgL_clausesz00_5; 
BgL_checksumz00_43 = BgL_checksumz00_4; 
BgL_loopz00_44:
{ 
obj_t BgL_filesz00_52;obj_t BgL_restz00_53;
{ /* ./Module/checksum.scm 54 */
bool_t BgL_test1056z00_57;
BgL_test1056z00_57 = 
NULLP(BgL_clausesz00_42); 
if(BgL_test1056z00_57)
{ /* ./Module/checksum.scm 54 */
return BgL_checksumz00_43;}  else 
{ /* ./Module/checksum.scm 54 */
bool_t BgL_test1058z00_58;
BgL_test1058z00_58 = 
PAIRP(BgL_clausesz00_42); 
if(BgL_test1058z00_58)
{ /* ./Module/checksum.scm 54 */
obj_t BgL_carzd2120zd2_59;
BgL_carzd2120zd2_59 = 
CAR(BgL_clausesz00_42); 
{ /* ./Module/checksum.scm 54 */
bool_t BgL_test1059z00_60;
BgL_test1059z00_60 = 
PAIRP(BgL_carzd2120zd2_59); 
if(BgL_test1059z00_60)
{ /* ./Module/checksum.scm 54 */
bool_t BgL_test1060z00_61;
{ /* ./Module/checksum.scm 54 */
obj_t BgL_auxz00_412;obj_t BgL_auxz00_410;
BgL_auxz00_412 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_410 = 
CAR(BgL_carzd2120zd2_59); 
BgL_test1060z00_61 = 
(BgL_auxz00_410==BgL_auxz00_412); } 
if(BgL_test1060z00_61)
{ /* ./Module/checksum.scm 54 */
obj_t BgL_arg1064z00_62;obj_t BgL_arg1065z00_63;
BgL_arg1064z00_62 = 
CDR(BgL_carzd2120zd2_59); 
BgL_arg1065z00_63 = 
CDR(BgL_clausesz00_42); 
{ /* ./Module/checksum.scm 54 */
long BgL_arg1115z00_212;
BgL_arg1115z00_212 = 
BGl_listzd2ze3numberz31zzmodule_checksumz00(BgL_checksumz00_43, BgL_arg1064z00_62); 
{ 
long BgL_checksumz00_420;obj_t BgL_clausesz00_419;
BgL_clausesz00_419 = BgL_arg1065z00_63; 
BgL_checksumz00_420 = BgL_arg1115z00_212; 
BgL_checksumz00_43 = BgL_checksumz00_420; 
BgL_clausesz00_42 = BgL_clausesz00_419; 
goto BgL_loopz00_44;} } }  else 
{ /* ./Module/checksum.scm 54 */
obj_t BgL_carzd2135zd2_65;
BgL_carzd2135zd2_65 = 
CAR(BgL_carzd2120zd2_59); 
{ 

{ /* ./Module/checksum.scm 54 */
bool_t BgL_test1069z00_67;
{ /* ./Module/checksum.scm 54 */
obj_t BgL_auxz00_422;
BgL_auxz00_422 = 
CNST_TABLE_REF(((long)2)); 
BgL_test1069z00_67 = 
(BgL_carzd2135zd2_65==BgL_auxz00_422); } 
if(BgL_test1069z00_67)
{ /* ./Module/checksum.scm 54 */
BgL_kapzd2137zd2_66:
{ /* ./Module/checksum.scm 54 */
obj_t BgL_arg1096z00_76;obj_t BgL_arg1097z00_77;
BgL_arg1096z00_76 = 
CDR(BgL_carzd2120zd2_59); 
BgL_arg1097z00_77 = 
CDR(BgL_clausesz00_42); 
{ /* ./Module/checksum.scm 54 */
long BgL_arg1119z00_223;
BgL_arg1119z00_223 = 
BGl_externzd2clausezd2checksumz00zzmodule_checksumz00(BgL_checksumz00_43, BgL_arg1096z00_76); 
{ 
long BgL_checksumz00_430;obj_t BgL_clausesz00_429;
BgL_clausesz00_429 = BgL_arg1097z00_77; 
BgL_checksumz00_430 = BgL_arg1119z00_223; 
BgL_checksumz00_43 = BgL_checksumz00_430; 
BgL_clausesz00_42 = BgL_clausesz00_429; 
goto BgL_loopz00_44;} } } }  else 
{ /* ./Module/checksum.scm 54 */
bool_t BgL_test1071z00_68;
{ /* ./Module/checksum.scm 54 */
obj_t BgL_auxz00_431;
BgL_auxz00_431 = 
CNST_TABLE_REF(((long)3)); 
BgL_test1071z00_68 = 
(BgL_carzd2135zd2_65==BgL_auxz00_431); } 
if(BgL_test1071z00_68)
{ /* ./Module/checksum.scm 54 */
goto BgL_kapzd2137zd2_66;}  else 
{ /* ./Module/checksum.scm 54 */
bool_t BgL_test1073z00_69;
{ /* ./Module/checksum.scm 54 */
obj_t BgL_auxz00_435;
BgL_auxz00_435 = 
CNST_TABLE_REF(((long)4)); 
BgL_test1073z00_69 = 
(BgL_carzd2135zd2_65==BgL_auxz00_435); } 
if(BgL_test1073z00_69)
{ /* ./Module/checksum.scm 54 */
goto BgL_kapzd2137zd2_66;}  else 
{ /* ./Module/checksum.scm 54 */
obj_t BgL_carzd2145zd2_70;
BgL_carzd2145zd2_70 = 
CAR(BgL_clausesz00_42); 
{ /* ./Module/checksum.scm 54 */
bool_t BgL_test1076z00_71;
{ /* ./Module/checksum.scm 54 */
obj_t BgL_auxz00_442;obj_t BgL_auxz00_440;
BgL_auxz00_442 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_440 = 
CAR(BgL_carzd2145zd2_70); 
BgL_test1076z00_71 = 
(BgL_auxz00_440==BgL_auxz00_442); } 
if(BgL_test1076z00_71)
{ /* ./Module/checksum.scm 54 */
obj_t BgL_arg1079z00_72;obj_t BgL_arg1080z00_73;
BgL_arg1079z00_72 = 
CDR(BgL_carzd2145zd2_70); 
BgL_arg1080z00_73 = 
CDR(BgL_clausesz00_42); 
BgL_filesz00_52 = BgL_arg1079z00_72; 
BgL_restz00_53 = BgL_arg1080z00_73; 
{ 
obj_t BgL_filesz00_82;long BgL_checksumz00_83;
BgL_filesz00_82 = BgL_filesz00_52; 
BgL_checksumz00_83 = BgL_checksumz00_43; 
BgL_laapz00_84:
{ /* ./Module/checksum.scm 66 */
bool_t BgL_test1123z00_85;
BgL_test1123z00_85 = 
NULLP(BgL_filesz00_82); 
if(BgL_test1123z00_85)
{ 
long BgL_checksumz00_451;obj_t BgL_clausesz00_450;
BgL_clausesz00_450 = BgL_restz00_53; 
BgL_checksumz00_451 = BgL_checksumz00_83; 
BgL_checksumz00_43 = BgL_checksumz00_451; 
BgL_clausesz00_42 = BgL_clausesz00_450; 
goto BgL_loopz00_44;}  else 
{ /* ./Module/checksum.scm 68 */
obj_t BgL_arg1126z00_86;long BgL_arg1127z00_87;
BgL_arg1126z00_86 = 
CDR(BgL_filesz00_82); 
{ /* ./Module/checksum.scm 68 */
obj_t BgL_arg1131z00_88;
BgL_arg1131z00_88 = 
CAR(BgL_filesz00_82); 
BgL_arg1127z00_87 = 
BGl_includezd2checksumzd2zzmodule_checksumz00(BgL_arg1131z00_88, BgL_checksumz00_83); } 
{ 
long BgL_checksumz00_456;obj_t BgL_filesz00_455;
BgL_filesz00_455 = BgL_arg1126z00_86; 
BgL_checksumz00_456 = BgL_arg1127z00_87; 
BgL_checksumz00_83 = BgL_checksumz00_456; 
BgL_filesz00_82 = BgL_filesz00_455; 
goto BgL_laapz00_84;} } } } }  else 
{ /* ./Module/checksum.scm 54 */
BgL_tagzd2110zd2_55:
{ /* ./Module/checksum.scm 70 */
obj_t BgL_arg1136z00_89;
BgL_arg1136z00_89 = 
CDR(BgL_clausesz00_42); 
{ 
obj_t BgL_clausesz00_458;
BgL_clausesz00_458 = BgL_arg1136z00_89; 
BgL_clausesz00_42 = BgL_clausesz00_458; 
goto BgL_loopz00_44;} } } } } } } } } } }  else 
{ /* ./Module/checksum.scm 54 */
goto BgL_tagzd2110zd2_55;} } }  else 
{ /* ./Module/checksum.scm 54 */
goto BgL_tagzd2110zd2_55;} } } } } } 
}



/* symbol->number */
long BGl_symbolzd2ze3numberz31zzmodule_checksumz00(obj_t BgL_symbolz00_6)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 75 */
{ 
char * BgL_strz00_94;
{ /* ./Module/checksum.scm 90 */
obj_t BgL_arg1140z00_91;
{ /* ./Module/checksum.scm 90 */
obj_t BgL_arg1144z00_93;
BgL_arg1144z00_93 = 
SYMBOL_TO_STRING(BgL_symbolz00_6); 
BgL_strz00_94 = 
BSTRING_TO_STRING(BgL_arg1144z00_93); 
{ /* ./Module/checksum.scm 77 */
long BgL_lenz00_96;
{ /* ./Module/checksum.scm 77 */
long BgL_auxz00_460;
{ /* ./Module/checksum.scm 77 */
int BgL_auxz00_461;
{ /* ./Module/checksum.scm 77 */
obj_t BgL_auxz00_462;
BgL_auxz00_462 = 
string_to_bstring(BgL_strz00_94); 
BgL_auxz00_461 = 
STRING_LENGTH(BgL_auxz00_462); } 
BgL_auxz00_460 = 
(long)(BgL_auxz00_461); } 
BgL_lenz00_96 = 
(BgL_auxz00_460-((long)1)); } 
{ 
long BgL_iz00_97;bool_t BgL_armedzf3zf3_98;
BgL_iz00_97 = ((long)0); 
BgL_armedzf3zf3_98 = ((bool_t)0); 
BgL_loopz00_99:
{ /* ./Module/checksum.scm 82 */
bool_t BgL_test1150z00_100;
BgL_test1150z00_100 = 
(BgL_iz00_97==BgL_lenz00_96); 
if(BgL_test1150z00_100)
{ /* ./Module/checksum.scm 82 */
BgL_arg1140z00_91 = 
string_to_bstring(BgL_strz00_94); }  else 
{ /* ./Module/checksum.scm 84 */
bool_t BgL_test1151z00_101;
{ /* ./Module/checksum.scm 84 */
unsigned char BgL_auxz00_470;
{ /* ./Module/checksum.scm 84 */
int BgL_auxz00_473;obj_t BgL_auxz00_471;
BgL_auxz00_473 = 
(int)(BgL_iz00_97); 
BgL_auxz00_471 = 
string_to_bstring(BgL_strz00_94); 
BgL_auxz00_470 = 
STRING_REF(BgL_auxz00_471, BgL_auxz00_473); } 
BgL_test1151z00_101 = 
(BgL_auxz00_470==((unsigned char)':')); } 
if(BgL_test1151z00_101)
{ /* ./Module/checksum.scm 84 */
if(BgL_armedzf3zf3_98)
{ /* ./Module/checksum.scm 86 */
long BgL_arg1154z00_102;long BgL_arg1155z00_103;
BgL_arg1154z00_102 = 
(BgL_iz00_97+((long)1)); 
BgL_arg1155z00_103 = 
(BgL_lenz00_96+((long)1)); 
{ /* ./Module/checksum.scm 86 */
obj_t BgL_stringz00_246;int BgL_startz00_247;int BgL_endz00_248;
BgL_stringz00_246 = 
string_to_bstring(BgL_strz00_94); 
BgL_startz00_247 = 
(int)(BgL_arg1154z00_102); 
BgL_endz00_248 = 
(int)(BgL_arg1155z00_103); 
BgL_arg1140z00_91 = 
c_substring(BgL_stringz00_246, BgL_startz00_247, BgL_endz00_248); } }  else 
{ /* ./Module/checksum.scm 87 */
long BgL_arg1160z00_104;
BgL_arg1160z00_104 = 
(BgL_iz00_97+((long)1)); 
{ 
bool_t BgL_armedzf3zf3_487;long BgL_iz00_486;
BgL_iz00_486 = BgL_arg1160z00_104; 
BgL_armedzf3zf3_487 = ((bool_t)1); 
BgL_armedzf3zf3_98 = BgL_armedzf3zf3_487; 
BgL_iz00_97 = BgL_iz00_486; 
goto BgL_loopz00_99;} } }  else 
{ /* ./Module/checksum.scm 84 */
{ /* ./Module/checksum.scm 89 */
long BgL_arg1164z00_105;
BgL_arg1164z00_105 = 
(BgL_iz00_97+((long)1)); 
{ 
bool_t BgL_armedzf3zf3_490;long BgL_iz00_489;
BgL_iz00_489 = BgL_arg1164z00_105; 
BgL_armedzf3zf3_490 = ((bool_t)0); 
BgL_armedzf3zf3_98 = BgL_armedzf3zf3_490; 
BgL_iz00_97 = BgL_iz00_489; 
goto BgL_loopz00_99;} } } } } } } } 
{ /* ./Module/checksum.scm 90 */
char * BgL_stringz00_231;
BgL_stringz00_231 = 
BSTRING_TO_STRING(BgL_arg1140z00_91); 
return 
get_hash_power_number(BgL_stringz00_231, ((long)16));} } } } 
}



/* atom->number */
long BGl_atomzd2ze3numberz31zzmodule_checksumz00(long BgL_checksumz00_8, obj_t BgL_clausez00_9)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 102 */
BGl_atomzd2ze3numberz31zzmodule_checksumz00:
{ /* ./Module/checksum.scm 104 */
bool_t BgL_test1181z00_110;
BgL_test1181z00_110 = 
INTEGERP(BgL_clausez00_9); 
if(BgL_test1181z00_110)
{ /* ./Module/checksum.scm 104 */
{ /* ./Module/checksum.scm 105 */
long BgL_auxz00_496;
BgL_auxz00_496 = 
(long)CINT(BgL_clausez00_9); 
return 
(BgL_checksumz00_8 ^ BgL_auxz00_496);} }  else 
{ /* ./Module/checksum.scm 106 */
bool_t BgL_test1183z00_111;
BgL_test1183z00_111 = 
REALP(BgL_clausez00_9); 
if(BgL_test1183z00_111)
{ /* ./Module/checksum.scm 106 */
{ /* ./Module/checksum.scm 107 */
obj_t BgL_arg1187z00_112;
{ /* ./Module/checksum.scm 107 */
double BgL_auxz00_501;
BgL_auxz00_501 = 
REAL_TO_DOUBLE(BgL_clausez00_9); 
BgL_arg1187z00_112 = 
real_to_string(BgL_auxz00_501); } 
{ 
obj_t BgL_clausez00_504;
BgL_clausez00_504 = BgL_arg1187z00_112; 
BgL_clausez00_9 = BgL_clausez00_504; 
goto BGl_atomzd2ze3numberz31zzmodule_checksumz00;} } }  else 
{ /* ./Module/checksum.scm 108 */
bool_t BgL_test1190z00_113;
BgL_test1190z00_113 = 
CHARP(BgL_clausez00_9); 
if(BgL_test1190z00_113)
{ /* ./Module/checksum.scm 108 */
{ /* ./Module/checksum.scm 109 */
long BgL_auxz00_507;
{ /* ./Module/checksum.scm 109 */
long BgL_auxz00_508;
{ /* ./Module/checksum.scm 109 */
unsigned char BgL_auxz00_509;
BgL_auxz00_509 = 
(unsigned char)CCHAR(BgL_clausez00_9); 
BgL_auxz00_508 = 
(BgL_auxz00_509); } 
BgL_auxz00_507 = 
(((long)23)+BgL_auxz00_508); } 
return 
(BgL_checksumz00_8 ^ BgL_auxz00_507);} }  else 
{ /* ./Module/checksum.scm 110 */
bool_t BgL_test1199z00_117;
BgL_test1199z00_117 = 
CNSTP(BgL_clausez00_9); 
if(BgL_test1199z00_117)
{ /* ./Module/checksum.scm 110 */
{ /* ./Module/checksum.scm 111 */
long BgL_arg1201z00_118;
{ /* ./Module/checksum.scm 111 */
long BgL_arg1205z00_120;
BgL_arg1205z00_120 = 
CCNST(BgL_clausez00_9); 
BgL_arg1201z00_118 = 
(((long)90)+BgL_arg1205z00_120); } 
return 
(BgL_checksumz00_8 ^ BgL_arg1201z00_118);} }  else 
{ /* ./Module/checksum.scm 112 */
bool_t BgL_test1208z00_121;
BgL_test1208z00_121 = 
STRINGP(BgL_clausez00_9); 
if(BgL_test1208z00_121)
{ /* ./Module/checksum.scm 112 */
{ /* ./Module/checksum.scm 113 */
long BgL_arg1210z00_122;
{ /* ./Module/checksum.scm 113 */
long BgL_arg1214z00_124;
{ /* ./Module/checksum.scm 113 */
char * BgL_stringz00_270;
BgL_stringz00_270 = 
BSTRING_TO_STRING(BgL_clausez00_9); 
BgL_arg1214z00_124 = 
get_hash_power_number(BgL_stringz00_270, ((long)16)); } 
BgL_arg1210z00_122 = 
(((long)4)+BgL_arg1214z00_124); } 
return 
(BgL_checksumz00_8 ^ BgL_arg1210z00_122);} }  else 
{ /* ./Module/checksum.scm 114 */
bool_t BgL_test1218z00_125;
BgL_test1218z00_125 = 
SYMBOLP(BgL_clausez00_9); 
if(BgL_test1218z00_125)
{ /* ./Module/checksum.scm 114 */
{ /* ./Module/checksum.scm 115 */
long BgL_arg1220z00_126;
{ /* ./Module/checksum.scm 115 */
long BgL_arg1224z00_128;
BgL_arg1224z00_128 = 
BGl_symbolzd2ze3numberz31zzmodule_checksumz00(BgL_clausez00_9); 
BgL_arg1220z00_126 = 
(((long)150)+BgL_arg1224z00_128); } 
return 
(BgL_checksumz00_8 ^ BgL_arg1220z00_126);} }  else 
{ /* ./Module/checksum.scm 116 */
bool_t BgL_test1227z00_129;
BgL_test1227z00_129 = 
KEYWORDP(BgL_clausez00_9); 
if(BgL_test1227z00_129)
{ /* ./Module/checksum.scm 116 */
{ /* ./Module/checksum.scm 117 */
long BgL_auxz00_532;
{ /* ./Module/checksum.scm 117 */
long BgL_auxz00_533;
BgL_auxz00_533 = ((long)0); 
BgL_auxz00_532 = 
(((long)151)+BgL_auxz00_533); } 
return 
(BgL_checksumz00_8 ^ BgL_auxz00_532);} }  else 
{ /* ./Module/checksum.scm 118 */
bool_t BgL_test1237z00_133;
BgL_test1237z00_133 = 
PAIRP(BgL_clausez00_9); 
if(BgL_test1237z00_133)
{ /* ./Module/checksum.scm 118 */
return 
BGl_listzd2ze3numberz31zzmodule_checksumz00(BgL_checksumz00_8, BgL_clausez00_9);}  else 
{ /* ./Module/checksum.scm 118 */
{ /* ./Module/checksum.scm 121 */
obj_t BgL_arg1243z00_136;
BgL_arg1243z00_136 = 
BGl_findzd2runtimezd2typez00zz__errorz00(BgL_clausez00_9); 
{ /* ./Module/checksum.scm 121 */
obj_t BgL_list1245z00_137;
{ /* ./Module/checksum.scm 121 */
obj_t BgL_arg1249z00_138;
{ /* ./Module/checksum.scm 121 */
obj_t BgL_arg1252z00_139;
{ /* ./Module/checksum.scm 121 */
obj_t BgL_arg1256z00_140;
BgL_arg1256z00_140 = 
MAKE_PAIR(BgL_arg1243z00_136, BNIL); 
BgL_arg1252z00_139 = 
MAKE_PAIR(BGl_string1392z00zzmodule_checksumz00, BgL_arg1256z00_140); } 
BgL_arg1249z00_138 = 
MAKE_PAIR(BgL_clausez00_9, BgL_arg1252z00_139); } 
BgL_list1245z00_137 = 
MAKE_PAIR(BGl_string1393z00zzmodule_checksumz00, BgL_arg1249z00_138); } 
BGl_warningz00zz__errorz00(BgL_list1245z00_137); } } 
return ((long)0);} } } } } } } } } } 
}



/* list->number */
long BGl_listzd2ze3numberz31zzmodule_checksumz00(long BgL_checksumz00_10, obj_t BgL_clausez00_11)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 128 */
BGl_listzd2ze3numberz31zzmodule_checksumz00:
{ 

{ /* ./Module/checksum.scm 129 */
bool_t BgL_test1268z00_145;
BgL_test1268z00_145 = 
NULLP(BgL_clausez00_11); 
if(BgL_test1268z00_145)
{ /* ./Module/checksum.scm 129 */
return BgL_checksumz00_10;}  else 
{ /* ./Module/checksum.scm 129 */
bool_t BgL_test1270z00_146;
BgL_test1270z00_146 = 
PAIRP(BgL_clausez00_11); 
if(BgL_test1270z00_146)
{ /* ./Module/checksum.scm 129 */
obj_t BgL_carzd2174zd2_147;
BgL_carzd2174zd2_147 = 
CAR(BgL_clausez00_11); 
{ /* ./Module/checksum.scm 129 */
bool_t BgL_test1271z00_148;
{ /* ./Module/checksum.scm 129 */
obj_t BgL_auxz00_550;
BgL_auxz00_550 = 
CNST_TABLE_REF(((long)6)); 
BgL_test1271z00_148 = 
(BgL_carzd2174zd2_147==BgL_auxz00_550); } 
if(BgL_test1271z00_148)
{ /* ./Module/checksum.scm 129 */
return ((long)0);}  else 
{ /* ./Module/checksum.scm 129 */
bool_t BgL_test1273z00_149;
{ /* ./Module/checksum.scm 129 */
obj_t BgL_auxz00_554;
BgL_auxz00_554 = 
CNST_TABLE_REF(((long)7)); 
BgL_test1273z00_149 = 
(BgL_carzd2174zd2_147==BgL_auxz00_554); } 
if(BgL_test1273z00_149)
{ /* ./Module/checksum.scm 129 */
return ((long)0);}  else 
{ /* ./Module/checksum.scm 129 */
bool_t BgL_test1275z00_150;
{ /* ./Module/checksum.scm 129 */
obj_t BgL_auxz00_558;
BgL_auxz00_558 = 
CNST_TABLE_REF(((long)8)); 
BgL_test1275z00_150 = 
(BgL_carzd2174zd2_147==BgL_auxz00_558); } 
if(BgL_test1275z00_150)
{ /* ./Module/checksum.scm 129 */
return ((long)0);}  else 
{ /* ./Module/checksum.scm 129 */
BgL_tagzd2172zd2_143:
{ /* ./Module/checksum.scm 135 */
bool_t BgL_test1285z00_151;
BgL_test1285z00_151 = 
PAIRP(BgL_clausez00_11); 
if(BgL_test1285z00_151)
{ /* ./Module/checksum.scm 136 */
long BgL_arg1287z00_152;obj_t BgL_arg1288z00_153;
{ /* ./Module/checksum.scm 136 */
obj_t BgL_arg1291z00_154;
BgL_arg1291z00_154 = 
CAR(BgL_clausez00_11); 
BgL_arg1287z00_152 = 
BGl_atomzd2ze3numberz31zzmodule_checksumz00(BgL_checksumz00_10, BgL_arg1291z00_154); } 
BgL_arg1288z00_153 = 
CDR(BgL_clausez00_11); 
{ 
obj_t BgL_clausez00_568;long BgL_checksumz00_567;
BgL_checksumz00_567 = BgL_arg1287z00_152; 
BgL_clausez00_568 = BgL_arg1288z00_153; 
BgL_clausez00_11 = BgL_clausez00_568; 
BgL_checksumz00_10 = BgL_checksumz00_567; 
goto BGl_listzd2ze3numberz31zzmodule_checksumz00;} }  else 
{ /* ./Module/checksum.scm 135 */
return 
BGl_atomzd2ze3numberz31zzmodule_checksumz00(BgL_checksumz00_10, BgL_clausez00_11);} } } } } } }  else 
{ /* ./Module/checksum.scm 129 */
goto BgL_tagzd2172zd2_143;} } } } } 
}



/* extern-clause-checksum */
long BGl_externzd2clausezd2checksumz00zzmodule_checksumz00(long BgL_checksumz00_12, obj_t BgL_clausesz00_13)
{ AN_OBJECT;
{ /* ./Module/checksum.scm 142 */
{ 
obj_t BgL_clausesz00_155;long BgL_checksumz00_156;
BgL_clausesz00_155 = BgL_clausesz00_13; 
BgL_checksumz00_156 = BgL_checksumz00_12; 
BgL_loopz00_157:
{ 
obj_t BgL_filez00_159;obj_t BgL_restz00_160;
{ /* ./Module/checksum.scm 143 */
bool_t BgL_test1298z00_164;
BgL_test1298z00_164 = 
NULLP(BgL_clausesz00_155); 
if(BgL_test1298z00_164)
{ /* ./Module/checksum.scm 143 */
return BgL_checksumz00_156;}  else 
{ /* ./Module/checksum.scm 143 */
bool_t BgL_test1300z00_165;
BgL_test1300z00_165 = 
PAIRP(BgL_clausesz00_155); 
if(BgL_test1300z00_165)
{ /* ./Module/checksum.scm 143 */
obj_t BgL_carzd2188zd2_166;
BgL_carzd2188zd2_166 = 
CAR(BgL_clausesz00_155); 
{ /* ./Module/checksum.scm 143 */
bool_t BgL_test1302z00_167;
BgL_test1302z00_167 = 
PAIRP(BgL_carzd2188zd2_166); 
if(BgL_test1302z00_167)
{ /* ./Module/checksum.scm 143 */
obj_t BgL_cdrzd2192zd2_168;
BgL_cdrzd2192zd2_168 = 
CDR(BgL_carzd2188zd2_166); 
{ /* ./Module/checksum.scm 143 */
bool_t BgL_test1303z00_169;
{ /* ./Module/checksum.scm 143 */
obj_t BgL_auxz00_580;obj_t BgL_auxz00_578;
BgL_auxz00_580 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_578 = 
CAR(BgL_carzd2188zd2_166); 
BgL_test1303z00_169 = 
(BgL_auxz00_578==BgL_auxz00_580); } 
if(BgL_test1303z00_169)
{ /* ./Module/checksum.scm 143 */
bool_t BgL_test1304z00_170;
BgL_test1304z00_170 = 
PAIRP(BgL_cdrzd2192zd2_168); 
if(BgL_test1304z00_170)
{ /* ./Module/checksum.scm 143 */
bool_t BgL_test1305z00_171;
{ /* ./Module/checksum.scm 143 */
obj_t BgL_auxz00_586;
BgL_auxz00_586 = 
CDR(BgL_cdrzd2192zd2_168); 
BgL_test1305z00_171 = 
NULLP(BgL_auxz00_586); } 
if(BgL_test1305z00_171)
{ /* ./Module/checksum.scm 143 */
obj_t BgL_arg1307z00_172;obj_t BgL_arg1308z00_173;
BgL_arg1307z00_172 = 
CAR(BgL_cdrzd2192zd2_168); 
BgL_arg1308z00_173 = 
CDR(BgL_clausesz00_155); 
BgL_filez00_159 = BgL_arg1307z00_172; 
BgL_restz00_160 = BgL_arg1308z00_173; 
{ /* ./Module/checksum.scm 151 */
obj_t BgL_fullnamez00_177;
BgL_fullnamez00_177 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_filez00_159, BGl_za2mcozd2includezd2pathza2z00zzengine_paramz00); 
{ /* ./Module/checksum.scm 151 */
long BgL_timez00_178;
{ /* ./Module/checksum.scm 152 */
bool_t BgL_test1338z00_181;
{ /* ./Module/checksum.scm 152 */
bool_t BgL_test1346z00_184;
BgL_test1346z00_184 = 
STRINGP(BgL_fullnamez00_177); 
if(BgL_test1346z00_184)
{ /* ./Module/checksum.scm 152 */
char * BgL_namez00_306;
BgL_namez00_306 = 
BSTRING_TO_STRING(BgL_fullnamez00_177); 
BgL_test1338z00_181 = 
fexists(BgL_namez00_306); }  else 
{ /* ./Module/checksum.scm 152 */
BgL_test1338z00_181 = ((bool_t)0); } } 
if(BgL_test1338z00_181)
{ /* ./Module/checksum.scm 155 */
double BgL_arg1340z00_182;
{ /* ./Module/checksum.scm 155 */
long BgL_arg1343z00_183;
BgL_arg1343z00_183 = 
BGl_filezd2modificationzd2timez00zz__r4_ports_6_10_1z00(
BSTRING_TO_STRING(BgL_fullnamez00_177)); 
BgL_arg1340z00_182 = 
(double)(BgL_arg1343z00_183); } 
BgL_timez00_178 = 
(long)(BgL_arg1340z00_182); }  else 
{ /* ./Module/checksum.scm 152 */
BgL_timez00_178 = ((long)0); } } 
{ /* ./Module/checksum.scm 152 */

{ /* ./Module/checksum.scm 157 */
obj_t BgL_arg1333z00_179;long BgL_arg1334z00_180;
BgL_arg1333z00_179 = 
CDR(BgL_clausesz00_155); 
BgL_arg1334z00_180 = 
BGl_atomzd2ze3numberz31zzmodule_checksumz00(BgL_checksumz00_156, 
BINT(BgL_timez00_178)); 
{ 
long BgL_checksumz00_606;obj_t BgL_clausesz00_605;
BgL_clausesz00_605 = BgL_arg1333z00_179; 
BgL_checksumz00_606 = BgL_arg1334z00_180; 
BgL_checksumz00_156 = BgL_checksumz00_606; 
BgL_clausesz00_155 = BgL_clausesz00_605; 
goto BgL_loopz00_157;} } } } } }  else 
{ /* ./Module/checksum.scm 143 */
BgL_tagzd2180zd2_162:
{ /* ./Module/checksum.scm 160 */
obj_t BgL_arg1352z00_185;long BgL_arg1354z00_186;
BgL_arg1352z00_185 = 
CDR(BgL_clausesz00_155); 
{ /* ./Module/checksum.scm 161 */
obj_t BgL_arg1358z00_187;
BgL_arg1358z00_187 = 
CAR(BgL_clausesz00_155); 
BgL_arg1354z00_186 = 
BGl_atomzd2ze3numberz31zzmodule_checksumz00(BgL_checksumz00_156, BgL_arg1358z00_187); } 
{ 
long BgL_checksumz00_611;obj_t BgL_clausesz00_610;
BgL_clausesz00_610 = BgL_arg1352z00_185; 
BgL_checksumz00_611 = BgL_arg1354z00_186; 
BgL_checksumz00_156 = BgL_checksumz00_611; 
BgL_clausesz00_155 = BgL_clausesz00_610; 
goto BgL_loopz00_157;} } } }  else 
{ /* ./Module/checksum.scm 143 */
goto BgL_tagzd2180zd2_162;} }  else 
{ /* ./Module/checksum.scm 143 */
goto BgL_tagzd2180zd2_162;} } }  else 
{ /* ./Module/checksum.scm 143 */
goto BgL_tagzd2180zd2_162;} } }  else 
{ /* ./Module/checksum.scm 143 */
goto BgL_tagzd2180zd2_162;} } } } } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_checksumz00()
{ AN_OBJECT;
{ /* ./Module/checksum.scm 18 */
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "module_checksum");} 
}

